c
c  Function to read binary bayesian sst product file
c
c  Returns array of 1-byte sst values, array of 1-byte pclear values
c
c  Fixed size assumed - 3000 x 2100
c

	subroutine rd_bin_prdh(in_file, hdr, sst, pclr, ier)
c
c*********read product binary file with header **********
c
	implicit	none
	integer		ncol, nrow, krow, j, ier, irec
	parameter	(ncol=3000, nrow=2100)
	integer		icol, irow
	character*256   in_file
  	character*4000	hdr
	integer*1       sst(ncol,nrow), pclr(ncol,nrow)
	integer wordlen
	parameter	(wordlen = 1)   ! (for sgi use wordlen=4) 
	logical         infile_exists
c	
	write(6,*) ' Top of rd_bin_prdh - file =' , in_file
c
c       initialization
        do krow=1,nrow
          do j=1,ncol
            sst(j,krow)=0
            pclr(j,krow)=0
          enddo
        enddo

	inquire( file = in_file, exist = infile_exists ) 
        if ( .not. infile_exists ) then
          write(6,*) ' rd_bin_prdh - file does not exist -',in_file
          ier=1
          goto 99 
        endif

	open  ( 7,
     *		file	= in_file,
     *		status	= 'old',
     *		form	= 'unformatted',
     *		access	= 'direct',
     *		recl	= ncol/wordlen,
     *		iostat 	= ier,
     *		err  	= 55
     *		)

        ier=0
        irec=1
	read (7,rec=irec,iostat=ier,err=66)  hdr(1:ncol)

cc      read(hdr(9:256),*,err=22,end=33,iostat=ios1) 
cc   *			icol, nhrec, irow,  
cc   *			x0, dx,  y0, dy,  iy, id, ih, im,  iavh

	write(6,*) ' rd_bin_prdh - read sst'
        do krow=1,nrow
           irec = irec+1
	   read (7,rec=irec,iostat=ier,err=77) (sst(j,krow),j=1,ncol)
        enddo

	write(6,*) ' rd_bin_prdh - read pclr'
        do krow=1,nrow
          irec = irec+1
	  read (7,rec=irec,iostat=ier,err=88) (pclr(j,krow),j=1,ncol)
        enddo

	write(6,*) ' rd_bin_prdh - finished file ',in_file
	close(7)
        goto 99
c
   
   44   ier = 1
        goto 99
   55   ier = 1000 + ier
        goto 99
   66   ier = 2000 + ier
        goto 99
   77   ier = 3000 + ier
        goto 99
   88   ier = 4000 + ier
        goto 99
   99	return
	end
c**********************************************************************
c  functions to convert to/from counts

       include "pconvert.for"

c ***************************************** c

